Cannoli_2.12: Core 0.12.0 API < Back
 

# Packages

-  package root
  Definition Classes
    root
-  package org
  Definition Classes
    root
-  package bdgenomics
  Definition Classes
    org
-  package cannoli
  Definition Classes
    bdgenomics
- BcftoolsCall
- BcftoolsCallArgs
- BcftoolsMpileup
- BcftoolsMpileupArgs
- BcftoolsNorm
- BcftoolsNormArgs
- BedtoolsIntersect
- BedtoolsIntersectArgs
- Blastn
- BlastnArgs
- Bowtie
- Bowtie2
- Bowtie2Args
- BowtieArgs
- BwaMem
- BwaMem2
- BwaMem2Args
- BwaMemArgs
- Cannoli
- CannoliFn
- Freebayes
- FreebayesArgs
- Gem
- GemArgs
- MagicBlast
- MagicBlastArgs
- Minimap2
- Minimap2Args
- SamtoolsMpileup
- SamtoolsMpileupArgs
- SingleEndBowtie2
- SingleEndBowtie2Args
- SingleEndStar
- SingleEndStarArgs
- Snap
- SnapArgs
- SnpEff
- SnpEffArgs
- Star
- StarArgs
- Vep
- VepArgs
- VtNormalize
- VtNormalizeArgs

c

org.bdgenomics.cannoli

# BwaMem2 

###

#### class BwaMem2 extends CannoliFn[FragmentDataset, AlignmentDataset]

BwaMem2 wrapper as a function FragmentDataset → AlignmentDataset, for use in cannoli-shell or notebooks.

Linear Supertypes
CannoliFn[FragmentDataset, AlignmentDataset], Logging, (FragmentDataset) ⇒ AlignmentDataset, AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. BwaMem2
2. CannoliFn
3. Logging
4. Function1
5. AnyRef
6. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new BwaMem2(args: BwaMem2Args, sc: SparkContext)

   args

     BwaMem2 function arguments.

   sc

     Spark context.

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def absolute(pathName: String): String
   Definition Classes
     CannoliFn
5.  def andThen[A](g: (AlignmentDataset) ⇒ A): (FragmentDataset) ⇒ A
   Definition Classes
     Function1
   Annotations
     @unspecialized()
6.  def apply(fragments: FragmentDataset): AlignmentDataset
   Definition Classes
     BwaMem2 → Function1
7.  val args: BwaMem2Args
8.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
9.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... ) @native() @HotSpotIntrinsicCandidate()
10.  def compose[A](g: (A) ⇒ FragmentDataset): (A) ⇒ AlignmentDataset
    Definition Classes
      Function1
    Annotations
      @unspecialized()
11.  def debug(mkr: Marker, msg: ⇒ Any, t: ⇒ Throwable): Unit
    Attributes
      protected
    Definition Classes
      Logging
12.  def debug(msg: ⇒ Any, t: ⇒ Throwable): Unit
    Attributes
      protected
    Definition Classes
      Logging
13.  def debug(msg: ⇒ Any): Unit
    Attributes
      protected
    Definition Classes
      Logging
14.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
15.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
16.  def error(mkr: Marker, msg: ⇒ Any, t: ⇒ Throwable): Unit
    Attributes
      protected
    Definition Classes
      Logging
17.  def error(msg: ⇒ Any, t: ⇒ Throwable): Unit
    Attributes
      protected
    Definition Classes
      Logging
18.  def error(msg: ⇒ Any): Unit
    Attributes
      protected
    Definition Classes
      Logging
19.  def files(pathName: String, filter: PathFilter): Seq[String]
    Definition Classes
      CannoliFn
20.  def files(pathName: String): Seq[String]
    Definition Classes
      CannoliFn
21.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native() @HotSpotIntrinsicCandidate()
22.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native() @HotSpotIntrinsicCandidate()
23.  def info(mkr: Marker, msg: ⇒ Any, t: ⇒ Throwable): Unit
    Attributes
      protected
    Definition Classes
      Logging
24.  def info(msg: ⇒ Any, t: ⇒ Throwable): Unit
    Attributes
      protected
    Definition Classes
      Logging
25.  def info(msg: ⇒ Any): Unit
    Attributes
      protected
    Definition Classes
      Logging
26.  def isDebugEnabled: Boolean
    Attributes
      protected
    Definition Classes
      Logging
27.  def isErrorEnabled: Boolean
    Attributes
      protected
    Definition Classes
      Logging
28.  def isInfoEnabled: Boolean
    Attributes
      protected
    Definition Classes
      Logging
29.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
30.  def isTraceEnabled: Boolean
    Attributes
      protected
    Definition Classes
      Logging
31.  def isWarnEnabled: Boolean
    Attributes
      protected
    Definition Classes
      Logging
32.  def logger: Logger
    Attributes
      protected
    Definition Classes
      Logging
33.  def loggerName: String
    Attributes
      protected
    Definition Classes
      Logging
34.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
35.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @HotSpotIntrinsicCandidate()
36.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @HotSpotIntrinsicCandidate()
37.  def root(pathName: String): String
    Definition Classes
      CannoliFn
38.  val sc: SparkContext
    Definition Classes
      CannoliFn
39.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
40.  def toString(): String
    Definition Classes
      Function1 → AnyRef → Any
41.  def trace(mkr: Marker, msg: ⇒ Any, t: ⇒ Throwable): Unit
    Attributes
      protected
    Definition Classes
      Logging
42.  def trace(msg: ⇒ Any, t: ⇒ Throwable): Unit
    Attributes
      protected
    Definition Classes
      Logging
43.  def trace(msg: ⇒ Any): Unit
    Attributes
      protected
    Definition Classes
      Logging
44.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
45.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()
46.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
47.  def warn(mkr: Marker, msg: ⇒ Any, t: ⇒ Throwable): Unit
    Attributes
      protected
    Definition Classes
      Logging
48.  def warn(msg: ⇒ Any, t: ⇒ Throwable): Unit
    Attributes
      protected
    Definition Classes
      Logging
49.  def warn(msg: ⇒ Any): Unit
    Attributes
      protected
    Definition Classes
      Logging

### Deprecated Value Members

1.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] ) @Deprecated @deprecated
   Deprecated

     (Since version ) see corresponding Javadoc for more information.

### Inherited from CannoliFn[FragmentDataset, AlignmentDataset]

### Inherited from Logging

### Inherited from (FragmentDataset) ⇒ AlignmentDataset

### Inherited from AnyRef

### Inherited from Any

### Ungrouped